changeset 1171:e104d771ca17

Fluff up comments, and use blank_tempdir so re-running recreates all the images.
author Rob Landley <rob@landley.net>
date Sat, 17 Jul 2010 14:19:39 -0500
parents e34c00072500
children 6766f92a6c61
files more/build-control-images.sh
diffstat 1 files changed, 6 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/more/build-control-images.sh	Sat Jul 17 13:29:12 2010 -0500
+++ b/more/build-control-images.sh	Sat Jul 17 14:19:39 2010 -0500
@@ -1,11 +1,14 @@
 #!/bin/bash
 
+# Build all control images (for native-build.sh) in build/control-images.
+
+. sources/include.sh || exit 1
+
+blank_tempdir build/control-images
+
 # Iterate through sources/native-builds and run each script, writing output
 # to build/control-images/$SCRIPTNAME.hdc
 
-. sources/include.sh || exit 1
-
-mkdir -p build/control-images || dienow
 for i in sources/native-builds/*.sh
 do
   SCRIPTNAME=$(echo $i | sed 's@.*/\(.*\)\.sh@\1@')